﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace RadBusyIndicator
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window, INotifyPropertyChanged
	{
		private int progressValue;
		private DispatcherTimer progressTimer;
		public event PropertyChangedEventHandler PropertyChanged;

		public MainWindow()
		{
			InitializeComponent();
			this.DataContext = this;
			this.progressTimer = new DispatcherTimer();
			this.progressTimer.Interval = TimeSpan.FromSeconds(0.1);
			this.progressTimer.Tick += new EventHandler(this.progressTimer_Tick);
		}

		public int ProgressValue
		{
			get
			{
				return this.progressValue;
			}
			set
			{
				if (this.progressValue == value)
					return;
				this.progressValue = value;
				if (this.PropertyChanged != null)
					this.PropertyChanged(this, new PropertyChangedEventArgs("ProgressValue"));
			}
		}
		private void showIndicatorButton_Click(object sender, RoutedEventArgs e)
		{
			this.progressTimer.Start();
			this.ProgressValue = 0;
			this.radBusyIndicator.IsBusy = true;
		}
		private void progressTimer_Tick(object sender, EventArgs e)
		{
			this.ProgressValue++;
			if (this.ProgressValue == 100)
			{
				this.progressTimer.Stop();
				this.radBusyIndicator.IsBusy = false;
				this.radBusyIndicator1.IsBusy = false;
			}
		}

		private void showProgressBarButton_Click(object sender, RoutedEventArgs e)
		{
			this.progressTimer.Start();
			this.ProgressValue = 0;
			this.radBusyIndicator1.IsBusy = true;
		}
	}

}
